> # NAME

> cgIsProfileSupported - determine if a profile is supported

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGbool cgIsProfileSupported( CGprofile profile );

> # PARAMETERS

> profile

>   The profile enumerant to test.

> # RETURN VALUES

> Returns CG_TRUE if profile is supported.

> # DESCRIPTION

> cgIsProfileSupported checks whether profile is supported by this version of the Cg library.

> Note that a profile may be recognized by Cg but not supported by the platform on which the application is currently running. A graphics API specific routine such as cgGLIsProfileSupported must still be used to determine if the current GPU and driver combination supports a given profile.

> # EXAMPLES

>         CGprofile profile;
>         int nProfiles;
>         int ii;

>         nProfiles = cgGetNumSupportedProfiles();
>         printf("NumSupportedProfiles: %i\n", nProfiles);

>         for (ii=0; ii<nProfiles; ++ii) {
>             profile = cgGetSupportedProfile(ii);
>             printf("IsProfileSupported %i: %s %i\n", ii, cgGetProfileString(profile),
>                                        cgIsProfileSupported(profile));
>         }

> # ERRORS

> None.

> # HISTORY

> cgIsProfileSupported was introduced in Cg 2.2.

> # SEE ALSO

> cgGetNumSupportedProfiles, cgGetSupportedProfile, cgGetProfileProperty, cgGLIsProfileSupported, cgD3D9IsProfileSupported, cgD3D10IsProfileSupported, cgGetProfileString, cgGetProfile